openSUSE 10 Security Update : cyrus-imapd (cyrus-imapd-6483)

Medium Nessus Plugin ID 41995


The remote openSUSE host is missing a security update.


This update of cyrus-imapd fixes a buffer overflow that occurs in snprintf() due to incorrectly calculating the size of the destination buffer. (CVE-2009-2632)


Update the affected cyrus-imapd packages.

Plugin Details

Severity: Medium

ID: 41995

File Name: suse_cyrus-imapd-6483.nasl

Version: $Revision: 1.5 $

Type: local

Agent: unix

Published: 2009/10/06

Modified: 2014/06/13

Dependencies: 12634

Risk Information

Risk Factor: Medium


Base Score: 4.4

Vector: CVSS2#AV:L/AC:M/Au:N/C:P/I:P/A:P

Vulnerability Information

CPE: p-cpe:/a:novell:opensuse:cyrus-imapd, p-cpe:/a:novell:opensuse:cyrus-imapd-devel, p-cpe:/a:novell:opensuse:perl-Cyrus-IMAP, p-cpe:/a:novell:opensuse:perl-Cyrus-SIEVE-managesieve, cpe:/o:novell:opensuse:10.3

Required KB Items: Host/local_checks_enabled, Host/SuSE/release, Host/SuSE/rpm-list, Host/cpu

Patch Publication Date: 2009/09/09

Reference Information

CVE: CVE-2009-2632

CWE: 119